<?php 
	require_once("clase_sesion.php");
	$sesion25=new sesion();
	if($sesion25->isValid()){	
		if ($sesion25->get('academia_in')!= "SI") {
			//header("Location: ".RUTA_INICIAL);
			exit();
		} else {
			$fechaGuardada = $sesion->get("ultimoAcceso");
			$ahora = date("Y-n-j H:i:s");
			$tiempo_transcurrido = (strtotime($ahora)-strtotime($fechaGuardada));
			 if($tiempo_transcurrido >= 3600) {
				 $sesion25->borrarsesion(); // destruyo la sesión
				# header("Location: ".RUTA_INICIAL); //envío al usuario a la pag. de autenticación sino, actualizo la fecha de la sesión
			}else {
				$sesion25->set('ultimoAcceso',$ahora);
			}
		}
	}else{
		#header("Location: ".RUTA_INICIAL);
		exit();
	}
?> 